Subject: bug#12074: emacs crashes on startup

From: Nick Dokos <[email-masked]>
Date: Sat, 28 Jul 2012 14:11:18 -0400

Andreas Schwab <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Nick Dokos <[email-masked]>
> >> Date: Fri, 27 Jul 2012 23:13:16 -0400
> >> Cc: [email-masked]
> >> 
> >> I just updated emacs from the git repo 
> >> 
> >>        git://repo.or.cz/emacs.git
> >> 
> >> git describe says
> >> 
> >>        v24.0.50-14303-g6aecb14
> >
> > What does this mean in terms of the bzr revisions in the master
> > repository?
> 
> $ git fetch origin +refs/notes/commits:refs/notes/commits
> $ git log -1 --pretty=%N v24.0.50-14303-g6aecb14
> [email-masked]
> 

Thanks! I've been fumbling around to answer the question but I wasn't
getting anywhere.

I also cloned the bzr repository: not sure whether I'm
doing things correctly (in particular, what branch does what), but
here's what I did:

      rsync -av bzr.savannah.gnu.org::bzr/emacs/ emacs/
      cd emacs/emacs-24
      bzr checkout

and I built emacs from scratch: I *don't* get the crash here.

Thanks,
Nick